import { ElementRef, QueryList, Renderer2 } from '@angular/core';
import { BackgroundModel, LayOutModel } from '../../styles/style.model';
import BaseSection from '../BaseSection';
import { EventsService } from '../../services/events.service';
import { NewTestimonialsContentModel, NewTestimonialsModel, NewTestimonialsStyleModel } from './new-testimonials.model';
import * as i0 from "@angular/core";
export declare class NewTestimonialsComponent extends BaseSection {
    private _eventService;
    private renderer;
    data?: NewTestimonialsModel | any;
    edit?: boolean;
    delete?: boolean;
    customClass?: string;
    nextComponentColor?: BackgroundModel;
    index?: number;
    carouselInner: ElementRef<HTMLDivElement>;
    carouselItems: QueryList<ElementRef<HTMLDivElement>>;
    content?: NewTestimonialsContentModel;
    styles?: NewTestimonialsStyleModel;
    constructor(_eventService: EventsService, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    get stylesLayout(): LayOutModel;
    idx: number;
    getImageData(): import("../../styles/style.model").Image | undefined;
    getImageUrl(): string | undefined;
    getImageType(): "Image" | "Video";
    getLength(): number;
    editSection(): void;
    stopPropagation(event: any): void;
    screenWidth: any;
    getScreenSize(): void;
    carouselHeightPx: number | null;
    private resizeTimeout;
    onWindowResize(): void;
    private updateCarouselHeight;
    static ɵfac: i0.ɵɵFactoryDeclaration<NewTestimonialsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NewTestimonialsComponent, "simpo-new-testimonials", never, { "data": { "alias": "data"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; "index": { "alias": "index"; "required": false; }; }, {}, never, never, true, never>;
}
